summaryrefslogtreecommitdiff
path: root/debian/kanotix-plasma-script.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/kanotix-plasma-script.preinst')
-rw-r--r--debian/kanotix-plasma-script.preinst31
1 files changed, 31 insertions, 0 deletions
diff --git a/debian/kanotix-plasma-script.preinst b/debian/kanotix-plasma-script.preinst
new file mode 100644
index 0000000..5b97b24
--- /dev/null
+++ b/debian/kanotix-plasma-script.preinst
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -e
+
+divert() {
+ dfile=$1
+ ltarget=$2
+ div=$(dpkg-divert --list $dfile)
+ distrib=${3:-$dfile.distrib}
+ temp=$dfile.tmp
+ if [ -z "$div" ]; then
+ # This differs from dpkg-divert's --rename because we
+ # first make a copy of $dfile (the file being diverted)
+ # in $distrib. Then, a symlink to $ltarget is forcibly created
+ # from $dfile; this is performed in two stages with an
+ # intermediate temporary file as ln -sf is not atomic.
+ # dpkg-divert's --rename direct equivalent would be:
+ # mv $dfile $distrib -- but we could end up without a symlink
+ if [ -e $dfile ]; then
+ cp -dp $dfile $distrib
+ fi
+ ln -sf $ltarget $temp
+ mv -f $temp $dfile
+ dpkg-divert --package kanotix-plasma-script --divert $distrib --add $dfile
+ fi
+}
+
+if [ install = "$1" -o upgrade = "$1" ]; then
+ # Divert the following files if no diversion exists already
+ divert /usr/share/kde4/apps/plasma-desktop/init/00-defaultLayout.js \
+ /usr/share/kde-kanotix-settings/share/apps/plasma-desktop/init/00-empty.js
+fi